## GstTypeFindHelper GstTypeFindHelper |

## Functions

GstCaps * | gst_type_find_helper ()
GstCaps * | gst_type_find_helper_for_buffer ()
GstCaps * | gst_type_find_helper_for_extension ()
GstCaps * | gst_type_find_helper_for_data ()
GstFlowReturn | (*GstTypeFindHelperGetRangeFunction) ()
GstCaps * | gst_type_find_helper_get_range ()

## Includes

    #include <gst/base/gsttypefindhelper.h>

## Description

## Functions

### gst_type_find_helper ()

    GstCaps *
    gst_type_find_helper (GstPad *src,
                          guint64 size);

### gst_type_find_helper_for_buffer ()

    GstCaps *
    gst_type_find_helper_for_buffer (GstObject *obj,
                                     GstBuffer *buf,
                                     GstTypeFindProbability *prob);

### gst_type_find_helper_for_extension ()

    GstCaps *
    gst_type_find_helper_for_extension (GstObject *obj,
                                        const gchar *extension);

### gst_type_find_helper_for_data ()

    GstCaps *
    gst_type_find_helper_for_data (GstObject *obj,
                                   const guint8 *data,
                                   gsize size,
                                   GstTypeFindProbability *prob);

### GstTypeFindHelperGetRangeFunction ()

    GstFlowReturn
    (*GstTypeFindHelperGetRangeFunction) (GstObject *obj,
                                          GstObject *parent,
                                          guint64 offset,
                                          guint length,
                                          GstBuffer **buffer);

### gst_type_find_helper_get_range ()

    GstCaps *
    gst_type_find_helper_get_range (GstObject *obj,
                                    GstObject *parent,
                                    GstTypeFindHelperGetRangeFunction func,
                                    guint64 size,
                                    const gchar *extension,
                                    GstTypeFindProbability *prob);

## Types and Values